# Guide for creating and working with levels in the Tiled level editor

### Opening project
With Tiled downloaded and open, File > Open File or Project > GD3152/Tiled/PirateTiled.tiled-project

### Creating a level
1. File > New > New Map
2. Leave Map and Tile size settings as default
3. To fill our screen (1024x576px), set the width as 32 and the height as 18
4. Save the level named level_XX at Tiled/Levels

### Creating a new tile
1. In tiled, open Tiled/Tiles/Entities.tsx
2. Drag a new image into the image area; this should be a 32x32px version if it is one tile in size

### Adding a 'smart' object (RopeEnds/Buttons/Doors/etc.)
1. Create (Layer > New > Object Layer) and/or navigate the object layer in the rightmost panel
2. Press Insert Tile (T) and place a tile on the map
3. Truncate the X and Y position of the tile (objects do not snap to the grid)
4. Right-click in the Properties panel and add a custom property named GroupID with type int
5. In the Properties panel, change the group accordingly (two ropes endpoints with the same ID, a door and a button with the same ID, etc.)

### Export a level
1. File > Export As
2. Save to GD3152/Pirate/assets/jsons
3. Save as type 'JSON map files'
